#!/usr/bin/env python

"""
A test of content preferences using examples from the HTTP 1.1 specification.
See: http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.1
"""

from MoinSupport import MediaRange

mr1 = MediaRange("audio/*")
mr2 = MediaRange("audio/basic")
print mr1 == mr2, ":", mr1, "==", mr2
print mr1.permits(mr2), ":", mr1, "permits", mr2

mr1 = MediaRange("text/plain")
mr2 = MediaRange("text/html")
print mr1 != mr2, ":", mr1, "!=", mr2
print not mr1.permits(mr2), ":", mr1, "does not permit", mr2

mr1 = MediaRange("text/*")
mr2 = MediaRange("text/html")
mr3 = MediaRange("text/html;level=1")
mr4 = MediaRange("*/*")
mr5 = MediaRange("text/html;level=2")
print mr1 == mr2, ":", mr1, "==", mr2
print mr1.permits(mr2), ":", mr1, "permits", mr2
print not mr2.permits(mr1), ":", mr2, "does not permit", mr1
print mr1 == mr3, ":", mr1, "==", mr3
print mr1.permits(mr3), ":", mr1, "permits", mr3
print mr1 == mr4, ":", mr1, "==", mr4
print mr1 == mr5, ":", mr1, "==", mr5
print mr2 == mr3, ":", mr2, "==", mr3
print mr2.permits(mr3), ":", mr2, "permits", mr3
print mr2 == mr4, ":", mr2, "==", mr4
print mr2 == mr5, ":", mr2, "==", mr5
print mr3 == mr4, ":", mr3, "==", mr4
print mr3 != mr5, ":", mr3, "!=", mr5
print mr4 == mr5, ":", mr4, "==", mr5
print mr4.permits(mr5), ":", mr4, "permits", mr5
print not mr5.permits(mr4), ":", mr5, "does not permit", mr4

# vim: tabstop=4 expandtab shiftwidth=4
